%define name 	makepasswd
%define version 0.4.2
%define release %mkrel 6

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	Generate random passwords
Source0: 	http://www.defora.org/projects/makepasswd/files/%{name}-%{version}.tar.bz2
License: 	GPL
Group: 		System/Configuration/Other
URL: 		http://www.defora.org/index.php?page=projects&project=makepasswd
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description
Makepasswd generates pseudo-random passwords of a desired length. It is able
to generate its crypted equivalent.

%prep
%setup -q

%build
%make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -fr %{buildroot}
%makeinstall PREFIX=%{buildroot}/%{_prefix}
chmod 644 AUTHORS BUGS README

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS README
%{_bindir}/makepasswd



%changelog
* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.4.2-6mdv2009.0
+ Revision: 251791
- rebuild

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 0.4.2-4mdv2008.1
+ Revision: 140944
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - import makepasswd


* Tue Aug 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.2-4mdv2007.0
- %%mkrel

* Thu Jul 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.2-3mdk 
- spec cleanup
- correct optimisations

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.4.2-2mdk 
- rpmbuildupdate aware

* Sun Jan 25 2004 Austin Acton <austin@mandrake.org> 0.4.2-1mdk
- from Taj Morton <taj@wildgardenseed.com> :
  - First Package

